# MappedForm Class Reference
[Data validation layer]

List of all members.

## Public Member Functions

| __construct (Form $form)
| getForm ()
| setDefaultType (RequestType $type)
| addSource ($primitiveName, RequestType $type)
| importOne ($name, HttpRequest $request)
| import (HttpRequest $request)
| export (RequestType $type)

## Static Public Member Functions

static | create (Form $form)

## Private Member Functions

| checkExistence ($name)

## Private Attributes

| $form = null
| $type = null
| $map = array()

## Detailed Description

Definition at line 15 of file MappedForm.class.php.

## Constructor & Destructor Documentation

MappedForm::__construct | ( | Form $ | form | ) |

Definition at line 30 of file MappedForm.class.php.

## Member Function Documentation

MappedForm::addSource | ( | $ | primitiveName,
|  | RequestType $ | type |
| ) |  |  |

Returns:
  MappedForm

Definition at line 56 of file MappedForm.class.php.

References checkExistence().

Here is the call graph for this function:

MappedForm::checkExistence | ( | $ | name | ) | `[private]`

Returns:
  MappedForm

Definition at line 139 of file MappedForm.class.php.

Referenced by addSource(), and importOne().

static MappedForm::create | ( | Form $ | form | ) | `[static]`

Returns:
  MappedForm

Definition at line 25 of file MappedForm.class.php.

Referenced by PrototypedEditor::__construct(), and BaseEditor::__construct().

MappedForm::export | ( | RequestType $ | type | ) |

Returns:
  MappedForm

Definition at line 111 of file MappedForm.class.php.

MappedForm::getForm | ( |  | ) |

Returns:
  Form

Definition at line 38 of file MappedForm.class.php.

MappedForm::import | ( | HttpRequest $ | request | ) |

Returns:
  MappedForm

Definition at line 97 of file MappedForm.class.php.

References importOne().

Here is the call graph for this function:

MappedForm::importOne | ( | $ | name,
|  | HttpRequest $ | request |
| ) |  |  |

Returns:
  MappedForm

Definition at line 68 of file MappedForm.class.php.

References $type, checkExistence(), and HttpRequest::getByType().

Referenced by import().

Here is the call graph for this function:

MappedForm::setDefaultType | ( | RequestType $ | type | ) |

Returns:
  MappedForm

Definition at line 46 of file MappedForm.class.php.

## Member Data Documentation

MappedForm::$form = null`[private]`

Definition at line 17 of file MappedForm.class.php.

MappedForm::$map = array()`[private]`

Definition at line 20 of file MappedForm.class.php.

MappedForm::$type = null`[private]`

Definition at line 18 of file MappedForm.class.php.

Referenced by importOne().

The documentation for this class was generated from the following file:

- core/Form/MappedForm.class.php